/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009-2012 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */

package org.ow2.jonas.admin.osgiconsole.vo {
import com.adobe.cairngorm.vo.IValueObject;

[Bindable]
public class BundleInfoVO implements IValueObject {
    private var idValue:String;
    private var stateValue:String;
    private var nameValue:String;
    private var SNValue:String;

    public function BundleInfoVO() {
    }

    public function get id():String {
        return idValue;
    }

    public function set id(idValue:String):void {
        this.idValue = idValue;
    }

    public function get state():String {
        return stateValue;
    }

    public function set state(stateValue:String):void {
        this.stateValue = stateValue;
    }

    public function get name():String {
        return nameValue;
    }

    public function set name(nameValue:String):void {
        this.nameValue = nameValue;
    }

    public function get SN():String {
        return SNValue;
    }

    public function set SN(SNValue:String):void {
        this.SNValue = SNValue;
    }
}
}