/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009-2012 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */

package org.ow2.jonas.admin.osgiconsole.vo {
import com.adobe.cairngorm.vo.IValueObject;

[Bindable]
public class BundleActionResultVO implements IValueObject {
    private var errorValue:Boolean;
    private var messageValue:String;

    public function BundleActionResultVO() {
    }

    public function get error():Boolean {
        return errorValue;
    }

    public function set error(errorValue:Boolean):void {
        this.errorValue = errorValue;
    }

    public function get message():String {
        return messageValue;
    }

    public function set message(messageValue:String):void {
        this.messageValue = messageValue;
    }
}
}